/************************************************************************
*                                                                                                                                        
*    Test du module Pmod 4 boutons poussoirs                                           
*                                                                    
*************************************************************************
* Description:  Pmod_BTN                                                
* L'état du bouton poussoir est affiché dans le moniteur série.
*  
* Matériel
*        1. Arduino Uno                                       
*        2. Module Pmod BTN
*        
************************************************************************/

boolean bp;
int index=0;
void setup()
{
  Serial.begin(9600);                      // initialisation du moniteur série
  for (int i=2; i<=5; i++)                 // configuration des broches 2 à 5 en entrée
  {
     pinMode(i,INPUT);
  } 
}

void loop()
{
  for(int i=2; i<=5; i++)                  // lecture de l'état des boutons
  {
   bp=digitalRead(i);
   delay(40);                              // anti-rebonds
   if(bp==HIGH)          
   {
      Serial.print("Le bouton BTN");
      index=i-2;                           // calcul de l'index du bouton 
      Serial.print(index); 
      Serial.println(" est actif.");
   }
  } 
}
